org.appng.taglib

## Enum Attribute.Mode

- java.lang.Object
- - java.lang.Enum<Attribute.Mode>
  - - org.appng.taglib.Attribute.Mode

- All Implemented Interfaces:
    Serializable, Comparable<Attribute.Mode>
  Enclosing class:
    Attribute

      public static enum Attribute.Mode
      extends Enum<Attribute.Mode>

  the mode for an `Attribute`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `READ`
    `WRITE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Attribute.Mode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Attribute.Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### READ

          public static final Attribute.Mode READ

    - #### WRITE

          public static final Attribute.Mode WRITE

  - ### Method Detail

    - #### values

          public static Attribute.Mode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Attribute.Mode c : Attribute.Mode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Attribute.Mode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2011–2023 aiticon GmbH. All rights reserved.